---
title: text-underline-offset
slug: Web/CSS/text-underline-offset
tags:
  - CSS
  - CSS Text Decoration
  - Property
  - Reference
  - 'recipe:css-property'
  - text-decoration
  - text-underline-offset
---
<div>{{CSSRef}}</div>

<p>The <strong><code>text-underline-offset</code></strong> <a href="/en-US/docs/CSS">CSS</a> property sets the offset distance of an underline text decoration line (applied using {{cssxref("text-decoration")}}) from its original position.</p>

<p><code>text-underline-offset</code> is not part of the {{cssxref('text-decoration')}} shorthand. While an element can have multiple <code>text-decoration</code> lines, <code>text-underline-offset</code> only impacts underlining, and <strong>not</strong> other possible line decoration options such as <code>overline</code> or <code>line-through</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Single keyword */
text-underline-offset: auto;

/* length */
text-underline-offset: 0.1em;
text-underline-offset: 3px;

/* percentage */
text-underline-offset: 20%;

/* Global values */
text-underline-offset: inherit;
text-underline-offset: initial;
text-underline-offset: unset;
</pre>

<p>The <code>text-underline-offset</code> property is specified as a single value from the list below.</p>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>auto</code></dt>
	<dd>The browser chooses the appropriate offset for underlines.</dd>
	<dt><code>&lt;length&gt;</code></dt>
	<dd>Specifies the offset of underlines as a {{cssxref('length')}}, overriding the font file suggestion and the browser default. It is recommended to use <code>em</code> units so the offset scales with the font size.</dd>
	<dt><code>&lt;percentage&gt;</code></dt>
	<dd>Specifies the offset of underlines as a {{cssxref('percentage')}} of <strong>1 em</strong> in the element's font. A percentage inherits as a relative value, and so therefore scales with changes in the font. For a given application of this property, the offset is constant across the whole box that the underline is applied to, even if there are child elements with different font sizes or vertical alignment.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Demonstration_of_text-underline-offset">Demonstration of text-underline-offset</h3>

<pre class="brush: html notranslate">&lt;p class="oneline"&gt;Here's some text with an offset wavy red underline!&lt;/p&gt;
&lt;br&gt;
&lt;p class="twolines"&gt;This text has lines both above and below it. Only the bottom one is offset.&lt;/p&gt;</pre>

<pre class="brush: css notranslate">p {
  text-decoration: underline wavy red;
  text-underline-offset: 1em;
}

.twolines {
  text-decoration-color: purple;
  text-decoration-line: underline overline;
}</pre>

<p>{{ EmbedLiveSample('Examples', '', '', '') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS4 Text Decoration', '#underline-offset', 'text-underline-offset')}}</td>
			<td>{{Spec2('CSS4 Text Decoration')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-underline-offset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref("text-decoration")}}</li>
	<li>{{cssxref("text-decoration-thickness")}}</li>
</ul>
